rules:
  - id: path-class-haml
    patterns:
      - pattern-either:
          - pattern-regex: \.gl-path
          - pattern-regex: 'class: .*gl-path'
    message: |
      Detected usage of `gl-path` class inside HAML file.
    languages:
      - generic
    severity: ERROR
    paths:
      include:
        - '*.haml'
    metadata:
      needsEpicOrWarning: true
      componentLabel: 'component:path'
      pajamasCompliant: false
